projects.regulatoryListings

Method: projects.regulatoryListings.update

On this page
  1. HTTP request
  2. Path parameters
  3. Query parameters
  4. Request body
  5. Response body

Updates a regulatory listing.

The caller must have numbering.regulatoryListings.update permission on the project.

HTTP request

PATCH https://numbering.api.enfonica.com/v1beta1/{regulatory_listing.name}

Path parameters

Parameters  
regulatoryListing.name string
Resource name of the regulatory listing. It must match the pattern projects/*/regulatoryListings/*

Query parameters

Parameters  
updateMask string (FieldMask format)
Fields to be updated.

Request body

The request body must contain an instance of RegulatoryListing.

Response body

If successful, the response body contains an instance of RegulatoryListing.